using System;
using NeonScripting;
using System.Collections;
using System.IO;
using System.Text;
using System.Linq;

public class Script
{
	public bool Run(INeonScriptHost host)
	{
		var idx = 1;
		foreach(var track in host.Tracks) 
		{
			host.UpdateProgress(string.Format("File {0}", idx));
			var aid = host.RemoteCalls.CalculateAcoustId(track.FullFilename);
			track.AcoustId = aid;
			Console.WriteLine(aid);
			idx++;
		}
		host.RemoteCalls.CommitAllChanges(host.Tracks);
		
		return true;
	}
}